=== debian/changelog ===
heaptrack (1.5.0+dfsg1-4ubuntu5) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:07:08 +0200

heaptrack (1.5.0+dfsg1-4ubuntu4) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:56:46 +0200

heaptrack (1.5.0+dfsg1-4ubuntu3) plucky; urgency=medium

  * Disable branch protection hardening, it causes errors on arm64
    and likely other archs (LP: #2096816)

 -- Tobias Heider <tobias.heider@canonical.com>  Wed, 29 Jan 2025 16:19:39 +0100

heaptrack (1.5.0+dfsg1-4ubuntu2) plucky; urgency=medium

  * Also disable build time tests on armhf.

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Jan 2025 07:38:00 +0000

heaptrack (1.5.0+dfsg1-4ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/tests: Check whether testbed has zstd installed before
      assuming output file format.

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Jan 2025 07:05:40 +0000

heaptrack (1.5.0+dfsg1-4) unstable; urgency=medium

  * [8b6e5dd] Remove kchart from dependencies. (Closes: #1086479)

 -- Anton Gladky <gladk@debian.org>  Fri, 17 Jan 2025 07:06:30 +0100

heaptrack (1.5.0+dfsg1-3) unstable; urgency=medium

  [ Michael Weghorn ]
  * [47b9a18] Backport upstream commit to fix build with GCC 14
    (Closes: #1075065)

  [ Anton Gladky ]
  * [6ad1299] d/control: set Standards-Version to 4.7.0

 -- Anton Gladky <gladk@debian.org>  Mon, 09 Dec 2024 20:40:45 +0100

heaptrack (1.5.0+dfsg1-2ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:24:09 +0000

heaptrack (1.5.0+dfsg1-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:34:11 +0000

heaptrack (1.5.0+dfsg1-2ubuntu1) noble; urgency=medium

  * debian/tests: Check whether testbed has zstd installed before
    assuming output file format.

 -- Rik Mills <rikmills@kde.org>  Sun, 31 Dec 2023 14:03:34 +0000

heaptrack (1.5.0+dfsg1-2) unstable; urgency=medium

  * [d2bdd38] Disable one more unreliable test. (Closes: #1056077)

 -- Anton Gladky <gladk@debian.org>  Thu, 28 Dec 2023 22:01:27 +0100

heaptrack (1.5.0+dfsg1-1) unstable; urgency=medium

  * [87afadc] Update d/watch
  * [d7d45cf] Update patches
  * [f9cff18] Add libdw-dev and libboost-container-dev to build-deps
  * [42662f0] Add d/copyright
  * [5dbd47c] Remove d/u/signing-key.asc
  * [374b2a2] New upstream version 1.5.0+dfsg1. (Closes: #1056077)
  * [d71f467] Fix grammar error. (Closes: #1016887)
  * [01181d7] Update standards version to 4.6.2, no changes needed.

 -- Anton Gladky <gladk@debian.org>  Thu, 28 Dec 2023 19:40:57 +0100
