=== debian/watch ===
version=4
opts=repacksuffix=+dfsg1,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$// \
https://download.kde.org/stable/heaptrack/([\d.]+)/@PACKAGE@-([\d.]+)\.tar\.xz
