=== debian/changelog ===
heaptrack (1.5.0+dfsg1+git20260219.f16e8d3-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/0002-Disable-tst_heaptrack_interpret.patch: Add patch
    to disable tst_heaptrack_interpret to fix ftbfs on 32-bit environments.
    This test is 64-bit only.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Mar 2026 13:10:05 -0500

heaptrack (1.5.0+dfsg1+git20260219.f16e8d3-1) unstable; urgency=medium

  * Team upload.
  * New upstream git trunk snapshot.
    + Fix compatibility with boost1.89 and later. (really closes: #1127209)
  * debian/control: Use correct homepage field info.
  * debian/control: Drop Ruiles-Requires-Root: no.
  * debian/control: Replace build-dep with kf6 and qt6. (Closes: #1121567)
    + Correctly build with kchart. (LP: #2122578)
  * debian/patches/:
    - 10_update_cmake_version.patch: Dropped, now useless.
    - 30_cmake-Fix-C-compatibility-of-libunwind-probes.patch: Dropped, merged.
  * debian/patches/20_disable_some_unreliable_tests.patch: Refreshed.
  * debian/source/lintian-overrides: Override lintian false positives on
    upstream-provided test artifacts.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Mar 2026 11:22:40 -0500

heaptrack (1.5.0+dfsg1-6) unstable; urgency=medium

  * Team upload.
  * d/watch: version=5
  * Remove libboost-system-dev from Build-Depends
    Closes: #1127209
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Feb 2026 23:02:43 +0100

heaptrack (1.5.0+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * [62ffba1] Drop unnecessary B-D libdwarf-dev. (Closes: #1098768)

 -- Bastian Germann <bage@debian.org>  Fri, 28 Feb 2025 23:56:16 +0100
