=== debian/control ===
--- 
+++ 
@@ -1,43 +1,43 @@
 Source: heaptrack
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Anton Gladky <gladk@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Anton Gladky <gladk@debian.org>,
 Section: devel
-Priority: optional
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               qtbase5-dev,
-               qtbase5-dev-tools,
-               libkf5kio-dev,
-               libkf5configwidgets-dev,
-               libkf5threadweaver-dev,
-               libkf5itemmodels-dev,
-               libkf5i18n-dev,
-               libdwarf-dev,
-               libelf-dev,
-               extra-cmake-modules,
-               libunwind-dev,
-               libdw-dev,
-               libboost-container-dev,
-               libboost-iostreams-dev,
-               libboost-filesystem-dev,
-               libboost-system-dev,
-               libboost-program-options-dev,
-               libboost-regex-dev,
-               zlib1g-dev,
-               libzstd-dev,
-               libsparsehash-dev
-Standards-Version: 4.7.0
+Build-Depends:
+ debhelper-compat (= 13),
+ cmake,
+ extra-cmake-modules,
+ libboost-container-dev,
+ libboost-filesystem-dev,
+ libboost-iostreams-dev,
+ libboost-program-options-dev,
+ libboost-regex-dev,
+ libdw-dev,
+ libelf-dev,
+ libkchart-dev,
+ libkf6configwidgets-dev,
+ libkf6i18n-dev,
+ libkf6iconthemes-dev,
+ libkf6itemmodels-dev,
+ libkf6kio-dev,
+ libkf6threadweaver-dev,
+ libsparsehash-dev,
+ libunwind-dev,
+ libzstd-dev,
+ qt6-base-dev,
+ qt6-base-dev-tools,
+ zlib1g-dev,
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/science-team/heaptrack
 Vcs-Git: https://salsa.debian.org/science-team/heaptrack.git
-Homepage: https://github.com/KDE/heaptrack
-Rules-Requires-Root: no
+Homepage: https://invent.kde.org/sdk/heaptrack
 
 Package: heaptrack
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libheaptrack (= ${binary:Version})
+Depends:
+ libheaptrack (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: heap memory profiler for Linux
  Heap memory usage profiler. It uses LD_PRELOAD to track all calls
  to the core memory allocation functions and logs these occurrences.
@@ -59,8 +59,9 @@
 
 Package: heaptrack-gui
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: heap memory profiler for Linux
  Heap memory usage profiler. It uses LD_PRELOAD to track all calls
  to the core memory allocation functions and logs these occurrences.
@@ -82,8 +83,9 @@
 
 Package: libheaptrack
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: heap memory profiler for Linux
  Heap memory usage profiler. It uses LD_PRELOAD to track all calls
  to the core memory allocation functions and logs these occurrences.
