## heaptrack 1.5.0+p24.04+vstable+git20250902.0115

=== debian/changelog ===
heaptrack (1.5.0+p24.04+vstable+git20250902.0115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Sep 2025 01:15:18 +0000

heaptrack (1.5.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 Oct 2023 19:18:07 +0000

heaptrack (1.4.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Oct 2022 19:18:08 +0000
