## heaptrack 1.5.0+p24.04+vstable+git20250916.2336

=== debian/changelog ===
heaptrack (1.5.0+p24.04+vstable+git20250916.2336-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 23:36:21 +0000
